Skip to main content
`Ctrl`+`K`

# LSRK

class astropy.coordinates.LSRK(*args, copy=True, representation_type=None, differential_type=None, **kwargs)

  Bases: `BaseRADecFrame`

  A frame in the Kinematic Local Standard of Rest (LSR).

  Conceptually the kinematic LSR is a frame where the average motion of the stars in the solar neighborhood is zero. In practice, the observed average motion is different for different spectral types, which has historically justified using convenient rounded values for the solar motion relative to the LSR. This LSRK frame uses the definition from

  > Gordon 1975, Methods of Experimental Physics: Volume 12: Astrophysics, Part C: Radio Observations - Section 6.1.5.

  meaning the solar motion is 20 km/s towards RA=270 Dec=30 (B1900). The frame is axis-aligned and co-spatial with `ICRS`.

  Attributes Summary

  `default_differential` | Default representation for differential data (e.g., velocity)
  `default_representation` | Default representation for position data
  `frame_attributes` |
  `frame_specific_representation_info` | Mapping for frame-specific component names
  `name` |

  Attributes Documentation

  default_differential

    Default representation for differential data (e.g., velocity)

  default_representation

    Default representation for position data

  frame_attributes = {}
  frame_specific_representation_info

    Mapping for frame-specific component names

  name = 'lsrk'